Name:          libgrss
Version:       0.6
Release:       2%{?dist}
Summary:       Library for easy management of RSS/Atom/Pie feeds

License:       LGPLv3+
URL:           https://wiki.gnome.org/Projects/Libgrss
Source0:       https://git.gnome.org/browse/%{name}/snapshot/%{name}-%{version}.tar.xz
# https://git.gnome.org/browse/libgrss/commit/?id=44591412dbb3557edb400b1cd3921330d118c930
Patch0:        0001-build-fix-typelibdir-and-girdir.patch
# https://git.gnome.org/browse/libgrss/commit/?id=3fac7eb2e1a6998932895bf4b7985d08586a14ab
Patch1:        0002-feeds-pool-fix-introspection-for-feed-ready-signal.patch

BuildRequires: /usr/bin/gnome-autogen.sh
BuildRequires: git-core
BuildRequires: gcc
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)

%description
libgrss is a Glib abstaction to handle feeds in RSS, Atom and other formats.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -S git

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --disable-silent-rules --enable-gtk-doc
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}-%{version}.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/%{name}-%{version}.so.*
%{_libdir}/girepository-1.0/Grss-%{version}.typelib

%files devel
%doc examples/
%{_libdir}/%{name}-%{version}.so
%{_includedir}/%{name}-%{version}/
%{_libdir}/pkgconfig/%{name}-%{version}.pc
%{_datadir}/gir-1.0/Grss-%{version}.gir
%{_datadir}/gtk-doc/html/%{name}-%{version}/

%changelog
* Tue Jul 14 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 0.6-2
- Add patch for fix gobject-introspection

* Tue Jul 07 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.6-1
- Initial package
